/******************************************************************************

   FILE				: sci.h

   AUTHOR			: Axiom Manufacturing
						  Spencer Ruggles

	PURPOSE			: Mfg Test for EVB51JM128 board, x427

 ******************************************************************************

  Purpose:

  header file for sci.c

******************************************************************************/

#define baud19	0x00D;			// 19200 baud rate 

#define LF 0x0A					// Line Feed ASCII code
#define CR 0x0D					// Carriage Return ASCII code

/********** Function Prototypes **********/
void ensci(byte);					// enable selected COM port
void sci1out(void);				// COM1 string output
void sci2out(void);				// COM2 string output
void crlf(byte);					// CR/LF for COM1 
void putch(unsigned char a);	// send ASCII char to 
void outstr(byte *cptr);		// send string of data to COM1
void outhex(unsigned char);	// output HEX value to COM port
void display(void);				// formatted ASCII output display
unsigned char hex2char(unsigned char);			// convert hex input to ASCII char


