/******************************************************************************

   FILE				: lcd.h

   AUTHOR			: Axiom Manufacturing
						  Spencer Ruggles

	PURPOSE			: Mfg Test for EVB51JM128 board, x427

 ******************************************************************************

  Purpose:

  header file for lcd.c

******************************************************************************/

#define LCD_WR		0x20					// lcd WR bit
#define LCD_RS		0x40					// lcd RS bit
#define LCD_EN		0x80					// lcd EN bit

/********** Constant Definitions **********/
extern byte LCDBuf;						// LCD data buffer
extern byte LCDStatus;					// LCD status buffer

/********** Function Prototypes **********/
void LCDInit(void);						// initialize LCD port
void LCDSend(void);						// send byte of data to LCD panelvoid LCD_delayu(byte);					// inner LCD delay loop count
void LCD_delaym(byte);					// outer LCD delay loop count
void LCDSend(void);						// send byte of data to LCD panel
void lcd_wr_4(byte);						// write byte of data to LCD port
void lcd_wr_4d(byte);					// same as above w/ delay
void LCD_Write(byte);					// write 8bits of data to LCD
void lcd_cmd(byte);						// write command value to LCD
void LCDputch(byte);						// write a char to LCD 
void LCDputs(byte *);					// write a string of char to LCD