/******************************************************************************

   FILE				: sci.h

   AUTHOR			: Axiom Manufacturing
						  Spencer Ruggles

	PURPOSE			: Mfg Test for EVB51JM128 board, x427

 ******************************************************************************

  Purpose:

  header file for sci.c

******************************************************************************/

#define baud19	0x00D;				// 19200 baud rate 

#define LF 0x0A						// Line Feed ASCII code
#define CR 0x0D						// Carriage Return ASCII code

/********** Function Prototypes **********/
void display_menu(byte);			// formatted ASCII output display
void ensci(byte);						// enable selected COM port
void putch(byte, byte);				// send a byte of data out selected COM port
void fputs(byte, byte *);				// send string to selected COM port w/CR only
void puts(byte, byte *);			// send a string of data out selected COM port
void outhex(byte, byte);			// output HEX value to selected COM port
void DisplayATD(byte);				// display formatted POT results

byte char2hex(byte);					// convert input ASCII char to hex
byte hex2char(byte);					// convert hex input to ASCII char
byte putchar(byte, byte);			// wait for ReadyToSend and send a byte of data to selected COM port
byte ReadyToSend(byte);				// wait for Tx Data Reg Empty flag to set
byte SerialReady(byte);				// checks for new input data on selected COM port
byte ReadSerialPort(byte);			// reads data from selected serial port
byte GetSByte(byte);					// waits for new data then reads data from selected COM port